### Class

# FwupdPlugin Config

#### Description

    class FwupdPlugin.Config : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### fu_config_new

Creates a new `FuConfig`.

since: 1.9.1

#### Instance methods

###### fu_config_get_value

Return the value of a key, falling back to the default value if missing.

since: 1.9.1

###### fu_config_get_value_bool

Return the value of a key, falling back to the default value if missing or empty.

since: 1.9.1

###### fu_config_get_value_strv

Return the value of a key, falling back to the default value if missing.

since: 1.9.1

###### fu_config_get_value_u64

Return the value of a key, falling back to the default value if missing or empty.

since: 1.9.1

###### fu_config_load

Loads the configuration files from all possible locations.

since: 1.9.1

###### fu_config_reset_defaults

Reset all the keys back to the default values.

since: 1.9.15

###### fu_config_set_basename

Sets the name of the filename to load.

since: 2.0.18

###### fu_config_set_default

Sets a default config value.

since: 2.0.0

###### fu_config_set_value

Sets a plugin config value, saving the new data back to the default config file.

since: 1.9.1

###### fu_config_set_value_internal

Sets a plugin config value, not saving to a config file.

since: 2.1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### FwupdPlugin.Config:path-store

No description available.

#### Signals

###### FwupdPlugin.Config::changed

The ::changed signal is emitted when the config file has changed, for instance when a parameter has been modified.

###### FwupdPlugin.Config::loaded

The ::loaded signal is emitted when the config file has loaded, typically at startup.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginConfigClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.